Loading...
Searching...
No Matches
casacore::BaseSlicesFunctor Class Referenceabstract
tables package (libcasa_tables) » Tables_module

More...

`#include <ArrayColumnFunc.h>`

## Public Member Functions

virtual | ~BaseSlicesFunctor ()
virtual void | apply (const Slicer &slicer, ArrayBase &arr)=0

## Detailed Description

Abstract baseclass for slices functors

### Synopsis

There are several ArrayColumn functions to get or put irregular array slices. ArrayColumnBase::handleSlices is used to perform all common operations using a functor derived from this base class.

Definition at line 43 of file ArrayColumnFunc.h.

## Constructor & Destructor Documentation

## ~BaseSlicesFunctor()

virtual casacore::BaseSlicesFunctor::~BaseSlicesFunctor | ( |  | ) |

inline virtual

Definition at line 46 of file ArrayColumnFunc.h.

## Member Function Documentation

## apply()

virtual void casacore::BaseSlicesFunctor::apply | ( | const Slicer & | slicer,
|  | ArrayBase & | arr )

pure virtual

Implemented in casacore::GetCellSlices, casacore::GetColumnSlices, casacore::PutCellSlices, and casacore::PutColumnSlices.

The documentation for this class was generated from the following file:

- tables/Tables/ArrayColumnFunc.h